diff --git a/books/bookvol8.pamphlet b/books/bookvol8.pamphlet
index fea6218..6f7e98f 100644
--- a/books/bookvol8.pamphlet
+++ b/books/bookvol8.pamphlet
@@ -1291,7 +1291,7 @@ extern void draw3DComponents(int );
    structures in 3D.
    */
 
-#include "tube.h"
+<<include/tube.h>>
 
 /* viewman's and viewAlone's refPt */
 #define refPt(v,x) ((v).points + (x))
@@ -1718,6 +1718,21 @@ extern int initQuitButtons(buttonStruct * );
 <<include/readview.h1>>=
 extern int readViewport(viewManager * viewPort , void * info , int size);
 @
+\section{rgb.h}
+<<include/rgb.h>>=
+typedef struct _RGB {
+  float r,g,b;
+} RGB ;
+
+typedef struct _HSV {
+  float h,s,v;
+} HSV ;
+
+typedef struct _HLS {
+  float h,l,s;
+} HLS ;
+
+@
 \section{save3d.h1}
 <<include/save3d.h1>>=
 extern int makeSavePanel(void);
@@ -1792,6 +1807,40 @@ static char spadMask_bits[] = {
    0x00, 0x00, 0xe0, 0x03, 0x00, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00};
 @
+\section{spadcolors.h}
+<<include/spadcolors.h>>=
+#include <X11/X.h>
+#define numOfColors 240
+#define totalHuesConst   27 
+#define totalShadesConst 5 
+#define hueEnd  360
+#define hueStep 12    /* hueEnd/totalHuesConst */
+
+#define numPlanes 1
+#define numColors 10
+#define startColor 0
+#define endColor   startColor+numColors
+
+#define colorStep (maxColors+1)/numColors
+
+#define yes 1
+#define no 0
+
+#define smoothConst  50
+#define saymem(a,b,c) saymemWithLine(a,b,c,0)
+#define Colorcells 256   /* KF number of elements in permutation vector */
+#define shade 5
+#define saturation   0.8
+
+extern int       smoothHue;
+extern Colormap  colorMap;
+extern int       num;
+extern int       scrn;
+
+#define maxColors DisplayCells(dsply,scrn)-1
+
+<<include/rgb.h>>
+@
 \section{spoon2d.h1}
 <<include/spoon2d.h1>>=
 extern void spoonView2D(void);
@@ -1858,7 +1907,7 @@ typedef struct _triple {    /* used for normals */
   float x,y,z;
 } triple;
 
-#include "rgb.h"
+<<include/rgb.h>>
 
 typedef struct _viewTriple { /* used for points in 3 space */
   float x,y,z,c,sc;          /* c is color component */
@@ -2004,7 +2053,7 @@ typedef struct _graphStateStruct {
 @
 \section{view3d.h}
 <<include/view3d.h>>=
-#include "component.h"
+<<include/component.h>>
 
 /* we now have two substructures (in the union, kind):
    tubeModel (in tube.h) and fun2VarModel (below) 
@@ -3134,7 +3183,7 @@ sendGraphToView2D(int i,int there,viewManager *viewport,
 #include <string.h>
 
 #include "viewman.h"
-#include "mode.h"
+<<include/mode.h>>
 #include "actions.h"
   
 #include "util.h1"
@@ -3532,7 +3581,7 @@ makeView2DFromSpadData(view2DStruct *viewdata,graphStateStruct graphState[])
 #include <stdlib.h>
 
 #include "viewman.h"
-#include "mode.h"
+<<include/mode.h>>
 
 #include "sockio-c.h1"
 #include "make3d.h1"
@@ -4075,9 +4124,9 @@ superSelect(int n, int *rd, int *wr, int *ex, char *timeout)
 #endif
 
 #include "viewman.h"
-#include "mode.h"
+<<include/mode.h>>
 #include "actions.h"
-#include "viewcommand.h"
+<<include/viewcommand.h>>
 #include "bsdsignal.h"
 
 
@@ -4734,7 +4783,7 @@ makeView2DFromFileData(view2DStruct *doView2D)
 #include <string.h>
 
 #include "viewalone.h"
-#include "mode.h"
+<<include/mode.h>>
 
 #include "util.h1"
 #include "all-alone.h1"
@@ -5051,7 +5100,7 @@ int main (int argc,char *argv[])
 #include "view3d.h"
 #include "view2d.h"
 #include "actions.h"
-#include "viewcommand.h"
+<<include/viewcommand.h>>
 
       /* Viewport Commands */
 #define makeViewport -1
@@ -6514,7 +6563,7 @@ freeGraph(int i)
 #include "view2d.h"
 <<include/actions.h>>
 <<include/viewcommand.h>>
-#include "xdefs.h"
+<<include/xdefs.h>>
 #include "override.h"
 <<include/g.h>>
 
@@ -7282,7 +7331,7 @@ ${MIDINT}/main2d.c: ${BOOK}
 	@ echo 10 making ${MIDINT}/main2d.c from ${BOOK}
 	@( cd ${MIDINT} ; ${TANGLE} -R"view2d/main2d.c" ${BOOK} >main2d.c )
 
-${MIDOBJ}/main2d.o: ${LINC}/xdefs.h ${MIDINT}/main2d.c
+${MIDOBJ}/main2d.o: ${MIDINT}/main2d.c
 	@ echo 11 making ${MIDOBJ}/main2d.o from ${MIDINT}/main2d.c
 	@ ( cd ${MIDOBJ} ; ${CC} -c ${CFLAGS} ${MIDINT}/main2d.c )
 
@@ -7325,8 +7374,7 @@ ${MIDINT}/viewport2d.c: ${BOOK}
 	@( cd ${MIDINT} ; \
 	   ${TANGLE} -R"view2d/viewport2d.c" ${BOOK} >viewport2d.c )
 
-${MIDOBJ}/viewport2d.o: ${LINC}/spadbitmap.bitmap \
-                        ${LINC}/spadmask.mask ${MIDINT}/viewport2d.c 
+${MIDOBJ}/viewport2d.o: ${MIDINT}/viewport2d.c 
 	@ echo 29 making ${MIDOBJ}/viewport2d.o from ${MIDINT}/viewport2d.c
 	@ ( cd ${MIDOBJ} ; ${CC} -c ${CFLAGS} ${MIDINT}/viewport2d.c )
 
@@ -8596,8 +8644,8 @@ goodbye(int sig)
 #include "util.h1"
 #include "xspadfill.h1"
 
-#include "spadbitmap.bitmap"
-#include "spadmask.mask"
+<<include/purty/spadbitmap.bitmap>>
+<<include/purty/spadmask.mask>>
 
 #define rint(z) ((int)(z))
 
@@ -9240,7 +9288,7 @@ makeView2D(view2DStruct *viewdata)
 #include <stdlib.h>
 
 <<view2d/header2.h>>
-#include "write.h"
+<<include/write.h>>
 
 #include "all-2d.h1"
 #include "pixmap.h1"
@@ -9400,12 +9448,12 @@ writeViewport(int thingsToWrite)
 }
 @
 \chapter{view3d}
-\section{buttons3d.c.pamphlet}
-<<view3d/buttons3d.c.pamphlet>>=
+\section{buttons3d.c}
+<<view3d/buttons3d.c>>=
 #define _BUTTONS3D_C
 
-#include "header.h"
-#include "cpanel.h"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
 
 #include "all-3d.h1"
 #define BH	31  /* button window height */
@@ -9791,12 +9839,12 @@ initButtons (buttonStruct *buttons)
 } /* initButtons() */
 
 @
-\section{closeview3d.c.pamphlet}
-<<view3d/closeview3d.c.pamphlet>>=
+\section{closeview3d.c}
+<<view3d/closeview3d.c>>=
 #define _CLOSEVIEW3D_C
 
 #include <stdlib.h>
-#include "header.h"
+<<view3d/header.h>>
 
 #include "util.h1"
 #include "gfun.h1"
@@ -9849,12 +9897,12 @@ closeViewport (void)
 } /* closeViewport() */
 
 @
-\section{component3d.c.pamphlet}
-<<view3d/component3d.c.pamphlet>>=
+\section{component3d.c}
+<<view3d/component3d.c>>=
 #define _COMPONENT3D_C
 
-#include "header.h"
-#include "draw.h"
+<<view3d/header.h>>
+<<view3d/draw.h>>
 
 #include "gfun.h1"
 #include "util.h1"
@@ -10681,8 +10729,8 @@ draw3DComponents (int dFlag)
     begun 19 September 1992, Jim Wen
    ***********************************************************************/
 
-#include "header.h"
-#include "draw.h"
+<<view3d/header.h>>
+<<view3d/draw.h>>
 
 #define segmentDEBUG_X
 
@@ -11525,12 +11573,12 @@ typedef struct _segment_list_struct {
     begun 25 November 1992, Jim Wen
    ***********************************************************************/
 
-#include "header.h"
-#include "cpanel.h"
-#include "draw.h"
-#include "../include/purty/volume.bitmap"
-#include "../include/purty/volume.mask"
-#include "../include/purty/slicer.bitmap"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
+<<view3d/draw.h>>
+<<include/purty/volume.bitmap>>
+<<include/purty/volume.mask>>
+<<include/purty/slicer.bitmap>>
 
 #define use_fat
 
@@ -12286,19 +12334,19 @@ update_contour_latitude(void)
 
 }  /* update_contour_latitude() */
 @
-\section{control3d.c.pamphlet}
-<<view3d/control3d.c.pamphlet>>=
+\section{control3d.c}
+<<view3d/control3d.c>>=
 #define _CONTROL3D_C
 #include <string.h>
 #include <stdio.h>
 #include <unistd.h>
 #include <stdlib.h>
 
-#include "mouse11.bitmap"
-#include "mouse11.mask"
+<<include/purty/mouse11.bitmap>>
+<<include/purty/mouse11.mask>>
 
-#include "header.h"
-#include "cpanel.h"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
 
 #include "util.h1"
 #include "xshade.h1"
@@ -13573,15 +13621,15 @@ extern Atom wm_delete_window;
 
 #include "hash.h"
 
-#include "view.h"
+<<include/view.h>>
 
 
 #include "view3d.h"
 #include "actions.h"
-#include "viewcommand.h"
-#include "xdefs.h"
+<<include/viewcommand.h>>
+<<include/xdefs.h>>
 #include "override.h"
-#include "g.h"      /* Gdraw functions header file */
+<<include/g.h>>
 
 #define swap(a,b) {a^=b; b^=a; a^=b;}
 
@@ -13891,18 +13939,6 @@ typedef struct _controlXY {
 } controlXY;
 
 
-
-      /************************** Bitmap Files ***************************/
-#if 0 
-#include "../include/purty/mouse11.bitmap"
-#include "../include/purty/mouse11.mask"
-#include "../include/purty/spadbitmap.bitmap"
-#include "../include/purty/spadmask.mask"
-#include "../include/purty/light11.bitmap"
-#include "../include/purty/light11.mask"
-#endif 
-
-
       /******* useful definitions *******/
 
 #define CONTROLpanel 1
@@ -13914,17 +13950,17 @@ typedef struct _controlXY {
 
 #define machine0 0.0002
 
-#include "globals.h"
+<<view3d/globals.h>>
 
 @
-\section{illuminate3d.c.pamphlet}
-<<view3d/illuminate3d.c.pamphlet>>=
+\section{illuminate3d.c}
+<<view3d/illuminate3d.c>>=
 #define _ILLUMINATE3D_C
 
 #include <math.h>
 
-#include "header.h"
-#include "draw.h"
+<<view3d/header.h>>
+<<view3d/draw.h>>
 
 #include "all-3d.h1"
 
@@ -14073,12 +14109,12 @@ hlsTOrgb(float h,float l,float s)
 
 
 @
-\section{lightbut3d.c.pamphlet}
-<<view3d/lightbut3d.c.pamphlet>>=
+\section{lightbut3d.c}
+<<view3d/lightbut3d.c>>=
 #define _LIGHTBUT3D_C
 
-#include "header.h"
-#include "cpanel.h"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
 
 #include "all-3d.h1"
 /*****************************************************
@@ -14187,22 +14223,22 @@ initLightButtons (buttonStruct *lightButtons)
 
 
 @
-\section{lighting3d.c.pamphlet}
-<<view3d/lighting3d.c.pamphlet>>=
+\section{lighting3d.c}
+<<view3d/lighting3d.c>>=
 #define _LIGHTING3D_C
 
 #include <math.h>
 #include <string.h>
 
-#include "light11.bitmap"
-#include "light11.mask"
+<<include/purty/light11.bitmap>>
+<<include/purty/light11.mask>>
 
 
-#include "header.h"
-#include "static.h"
-#include "draw.h"
-#include "cpanel.h"
-#include "volume.h"
+<<view3d/header.h>>
+<<view3d/static.h>>
+<<view3d/draw.h>>
+<<view3d/cpanel.h>>
+<<view3d/volume.h>>
 
 #include "gfun.h1"
 #include "xspadfill.h1"
@@ -14745,8 +14781,8 @@ drawLightingPanel(void)
 
 
 @
-\section{main3d.c.pamphlet}
-<<view3d/main3d.c.pamphlet>>=
+\section{main3d.c}
+<<view3d/main3d.c>>=
 #define _MAIN3D_C
 #include <string.h>
 #include <stdio.h>
@@ -14754,9 +14790,9 @@ drawLightingPanel(void)
 #include <unistd.h>
 #include <signal.h>
 
-#include "header.h"
-#include "cpanel.h"
-#include "process.h"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
+<<view3d/process.h>>
 #include "bsdsignal.h"
 
 #include "bsdsignal.h1"
@@ -15347,9 +15383,9 @@ mergeDatabases(void)
 }
 
 @
-\section{Makefile.pamphlet}
+\section{Makefile}
 <<view3d/Makefile>>=
-IN=	${SRC}/graph/view3d
+BOOK=${SPD}/books/bookvol8.pamphlet
 MIDINT=	${INT}/graph/view3d
 MIDOBJ= ${OBJ}/${SYS}/graph/view3d
 OUT=	${MNT}/${SYS}/lib
@@ -15364,25 +15400,8 @@ LINC=	${SRC}/graph/include
 # global include files shared by everyone 
 GINC=	${SRC}/include
 
-# bitmaps for cursors
-BIT=	${SRC}/graph/include/purty
-
-
-DOCFILES= ${DOC}/buttons3d.c.dvi    ${DOC}/closeview3d.c.dvi \
-          ${DOC}/component3d.c.dvi  ${DOC}/control3d.c.dvi \
-          ${DOC}/illuminate3d.c.dvi ${DOC}/lightbut3d.c.dvi \
-          ${DOC}/lighting3d.c.dvi   ${DOC}/main3d.c.dvi \
-          ${DOC}/mesh3d.c.dvi       ${DOC}/msort3d.c.dvi \
-          ${DOC}/pot3d.c.dvi        ${DOC}/process3d.c.dvi \
-          ${DOC}/project3d.c.dvi    ${DOC}/quitbut3d.c.dvi \
-          ${DOC}/quit3d.c.dvi       ${DOC}/save3d.c.dvi \
-          ${DOC}/savebut3d.c.dvi    ${DOC}/smoothshade3d.c.dvi \
-          ${DOC}/spadaction3d.c.dvi ${DOC}/stuff3d.c.dvi \
-          ${DOC}/surface3d.c.dvi    ${DOC}/transform3d.c.dvi \
-          ${DOC}/viewport3d.c.dvi   ${DOC}/volume3d.c.dvi \
-          ${DOC}/write3d.c.dvi
 
-CFLAGS  = ${CCF} -I${LINC} -I${GINC} -I${IN}
+CFLAGS  = ${CCF} -I${LINC} -I${GINC} 
 LDFLAGS =  ${LDF} ${STATIC} -lX11 -lm 
 
 OBJS = \
@@ -15398,497 +15417,237 @@ OBJS = \
 
 GDRAW_OBJS  = ${GDRAW}/gfun.o ${OBJ}/${SYS}/lib/hash.o
 
-HEADERS = ${IN}/header.h ${IN}/globals.h \
-	${LINC}/component.h ${LINC}/view3d.h ${LINC}/tube.h \
-	${LINC}/actions.h ${LINC}/viewcommand.h \
-	${GINC}/view.h ${LINC}/g.h
-
 all: ${OBJS} ${GDRAW_OBJS} ${OUT}/view3d ${DOCFILES}
-	@echo 78 finished ${IN}
+	@echo 78 finished bookvol8 view3d
 
-${MIDINT}/buttons3d.c: ${IN}/buttons3d.c.pamphlet
-	@ echo 1 ${MIDINT}/buttons3d.c from ${IN}/buttons3d.c.pamphlet
+${MIDINT}/buttons3d.c: ${BOOK}
+	@ echo 1 ${MIDINT}/buttons3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/buttons3d.c.pamphlet >buttons3d.c )
+	${TANGLE} -R"view3d/buttons3d.c" ${BOOK} >buttons3d.c )
 	
-${MIDOBJ}/buttons3d.o: ${HEADERS} ${IN}/cpanel.h ${MIDINT}/buttons3d.c
+${MIDOBJ}/buttons3d.o: ${MIDINT}/buttons3d.c
 	@ echo 2 making ${MIDOBJ}/buttons3d.o from ${MIDINT}/buttons3d.c
-	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/buttons3d.c )
-
-${DOC}/buttons3d.c.dvi: ${IN}/buttons3d.c.pamphlet 
-	@echo 3 making ${DOC}/buttons3d.c.dvi from ${IN}/buttons3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/buttons3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} buttons3d.c ; \
-	rm -f ${DOC}/buttons3d.c.pamphlet ; \
-	rm -f ${DOC}/buttons3d.c.tex ; \
-	rm -f ${DOC}/buttons3d.c )
-
+	 ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/buttons3d.c )
 
-${MIDINT}/closeview3d.c: ${IN}/closeview3d.c.pamphlet
-	@ echo 4 ${MIDINT}/closeview3d.c from ${IN}/closeview3d.c.pamphlet
+${MIDINT}/closeview3d.c: ${BOOK}
+	@ echo 4 ${MIDINT}/closeview3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/closeview3d.c.pamphlet >closeview3d.c )
+	${TANGLE} -R"view3d/closeview3d.c" ${BOOK} >closeview3d.c )
 	
-${MIDOBJ}/closeview3d.o: ${HEADERS} ${MIDINT}/closeview3d.c
+${MIDOBJ}/closeview3d.o: ${MIDINT}/closeview3d.c
 	@ echo 5 making ${MIDOBJ}/closeview3d.o from ${MIDINT}/closeview3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/closeview3d.c )
 
-${DOC}/closeview3d.c.dvi: ${IN}/closeview3d.c.pamphlet 
-	@echo 6 making ${DOC}/closeview3d.c.dvi from ${IN}/closeview3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/closeview3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} closeview3d.c ; \
-	rm -f ${DOC}/closeview3d.c.pamphlet ; \
-	rm -f ${DOC}/closeview3d.c.tex ; \
-	rm -f ${DOC}/closeview3d.c )
-
-
-${MIDINT}/component3d.c: ${IN}/component3d.c.pamphlet
-	@ echo 7 ${MIDINT}/component3d.c from ${IN}/component3d.c.pamphlet
+${MIDINT}/component3d.c: ${BOOK}
+	@ echo 7 ${MIDINT}/component3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/component3d.c.pamphlet >component3d.c )
+	${TANGLE} -R"view3d/component3d.c" ${BOOK} >component3d.c )
 	
-${MIDOBJ}/component3d.o: ${HEADERS} ${MIDINT}/component3d.c
+${MIDOBJ}/component3d.o:  ${MIDINT}/component3d.c
 	@ echo 8 making ${MIDOBJ}/component3d.o from ${MIDINT}/component3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/component3d.c )
 
-${DOC}/component3d.c.dvi: ${IN}/component3d.c.pamphlet 
-	@echo 9 making ${DOC}/component3d.c.dvi from ${IN}/component3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/component3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} component3d.c ; \
-	rm -f ${DOC}/component3d.c.pamphlet ; \
-	rm -f ${DOC}/component3d.c.tex ; \
-	rm -f ${DOC}/component3d.c )
-
-
-${MIDINT}/control3d.c: ${IN}/control3d.c.pamphlet
-	@ echo 10 ${MIDINT}/control3d.c from ${IN}/control3d.c.pamphlet
+${MIDINT}/control3d.c: ${BOOK}
+	@ echo 10 ${MIDINT}/control3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/control3d.c.pamphlet >control3d.c )
+	${TANGLE} -R"view3d/control3d.c" ${BOOK} >control3d.c )
 	
-${MIDOBJ}/control3d.o: ${HEADERS} ${IN}/cpanel.h  ${BIT}/mouse11.bitmap \
-	 ${BIT}/mouse11.mask ${MIDINT}/control3d.c
+${MIDOBJ}/control3d.o: ${MIDINT}/control3d.c
 	@ echo 11 making ${MIDOBJ}/control3d.o from ${MIDINT}/control3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/control3d.c )
 
-${DOC}/control3d.c.dvi: ${IN}/control3d.c.pamphlet 
-	@echo 12 making ${DOC}/control3d.c.dvi from ${IN}/control3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/control3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} control3d.c ; \
-	rm -f ${DOC}/control3d.c.pamphlet ; \
-	rm -f ${DOC}/control3d.c.tex ; \
-	rm -f ${DOC}/control3d.c )
-
-
-${MIDINT}/illuminate3d.c: ${IN}/illuminate3d.c.pamphlet
-	@ echo 13 ${MIDINT}/illuminate3d.c from ${IN}/illuminate3d.c.pamphlet
+${MIDINT}/illuminate3d.c: ${BOOK}
+	@ echo 13 ${MIDINT}/illuminate3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/illuminate3d.c.pamphlet >illuminate3d.c )
+	${TANGLE} -R"view3d/illuminate3d.c" ${BOOK} >illuminate3d.c )
 	
-${MIDOBJ}/illuminate3d.o: ${HEADERS} ${IN}/cpanel.h ${MIDINT}/illuminate3d.c
+${MIDOBJ}/illuminate3d.o:  ${MIDINT}/illuminate3d.c
 	@ echo 14 making ${MIDOBJ}/illuminate3d.o from ${MIDINT}/illuminate3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/illuminate3d.c )
 
-${DOC}/illuminate3d.c.dvi: ${IN}/illuminate3d.c.pamphlet 
-	@echo 15 making ${DOC}/illuminate3d.c.dvi from ${IN}/illuminate3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/illuminate3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} illuminate3d.c ; \
-	rm -f ${DOC}/illuminate3d.c.pamphlet ; \
-	rm -f ${DOC}/illuminate3d.c.tex ; \
-	rm -f ${DOC}/illuminate3d.c )
-
-
-${MIDINT}/lightbut3d.c: ${IN}/lightbut3d.c.pamphlet
-	@ echo 16 ${MIDINT}/lightbut3d.c from ${IN}/lightbut3d.c.pamphlet
+${MIDINT}/lightbut3d.c: ${BOOK}
+	@ echo 16 ${MIDINT}/lightbut3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/lightbut3d.c.pamphlet >lightbut3d.c )
+	${TANGLE} -R"view3d/lightbut3d.c" ${BOOK} >lightbut3d.c )
 	
-${MIDOBJ}/lightbut3d.o: ${HEADERS} ${IN}/cpanel.h ${MIDINT}/lightbut3d.c
+${MIDOBJ}/lightbut3d.o: ${MIDINT}/lightbut3d.c
 	@ echo 17 making ${MIDOBJ}/lightbut3d.o from ${MIDINT}/lightbut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/lightbut3d.c )
 
-${DOC}/lightbut3d.c.dvi: ${IN}/lightbut3d.c.pamphlet 
-	@echo 18 making ${DOC}/lightbut3d.c.dvi from ${IN}/lightbut3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/lightbut3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} lightbut3d.c ; \
-	rm -f ${DOC}/lightbut3d.c.pamphlet ; \
-	rm -f ${DOC}/lightbut3d.c.tex ; \
-	rm -f ${DOC}/lightbut3d.c )
-
-
-${MIDINT}/lighting3d.c: ${IN}/lighting3d.c.pamphlet
-	@ echo 19 ${MIDINT}/lighting3d.c from ${IN}/lighting3d.c.pamphlet
+${MIDINT}/lighting3d.c: ${BOOK}
+	@ echo 19 ${MIDINT}/lighting3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/lighting3d.c.pamphlet >lighting3d.c )
+	${TANGLE} -R"view3d/lighting3d.c" ${BOOK} >lighting3d.c )
 	
-${MIDOBJ}/lighting3d.o: ${HEADERS} ${IN}/draw.h ${IN}/cpanel.h \
-	${BIT}/light11.bitmap  ${BIT}/light11.mask ${MIDINT}/lighting3d.c
+${MIDOBJ}/lighting3d.o: ${MIDINT}/lighting3d.c
 	@ echo 20 making ${MIDOBJ}/lighting3d.o from ${MIDINT}/lighting3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/lighting3d.c )
 
-${DOC}/lighting3d.c.dvi: ${IN}/lighting3d.c.pamphlet 
-	@echo 21 making ${DOC}/lighting3d.c.dvi from ${IN}/lighting3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/lighting3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} lighting3d.c ; \
-	rm -f ${DOC}/lighting3d.c.pamphlet ; \
-	rm -f ${DOC}/lighting3d.c.tex ; \
-	rm -f ${DOC}/lighting3d.c )
-
-
-${MIDINT}/main3d.c: ${IN}/main3d.c.pamphlet
-	@ echo 22 ${MIDINT}/main3d.c from ${IN}/main3d.c.pamphlet
+${MIDINT}/main3d.c: ${BOOK}
+	@ echo 22 ${MIDINT}/main3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/main3d.c.pamphlet >main3d.c )
+	${TANGLE} -R"view3d/main3d.c" ${BOOK} >main3d.c )
 	
-${MIDOBJ}/main3d.o: ${HEADERS} ${LINC}/xdefs.h ${IN}/cpanel.h ${IN}/process.h \
-	 ${LINC}/mode.h ${MIDINT}/main3d.c
+${MIDOBJ}/main3d.o: ${MIDINT}/main3d.c
 	@ echo 23 making ${MIDOBJ}/main3d.o from ${MIDINT}/main3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/main3d.c )
 
-${DOC}/main3d.c.dvi: ${IN}/main3d.c.pamphlet 
-	@echo 24 making ${DOC}/main3d.c.dvi from ${IN}/main3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/main3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} main3d.c ; \
-	rm -f ${DOC}/main3d.c.pamphlet ; \
-	rm -f ${DOC}/main3d.c.tex ; \
-	rm -f ${DOC}/main3d.c )
-
-
-${MIDINT}/mesh3d.c: ${IN}/mesh3d.c.pamphlet
-	@ echo 25 ${MIDINT}/mesh3d.c from ${IN}/mesh3d.c.pamphlet
+${MIDINT}/mesh3d.c: ${BOOK}
+	@ echo 25 ${MIDINT}/mesh3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/mesh3d.c.pamphlet >mesh3d.c )
+	${TANGLE} -R"view3d/mesh3d.c" ${BOOK} >mesh3d.c )
 	
-${MIDOBJ}/mesh3d.o: ${HEADERS} ${MIDINT}/mesh3d.c
+${MIDOBJ}/mesh3d.o: ${MIDINT}/mesh3d.c
 	@ echo 26 making ${MIDOBJ}/mesh3d.o from ${MIDINT}/mesh3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/mesh3d.c )
 
-${DOC}/mesh3d.c.dvi: ${IN}/mesh3d.c.pamphlet 
-	@echo 27 making ${DOC}/mesh3d.c.dvi from ${IN}/mesh3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/mesh3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} mesh3d.c ; \
-	rm -f ${DOC}/mesh3d.c.pamphlet ; \
-	rm -f ${DOC}/mesh3d.c.tex ; \
-	rm -f ${DOC}/mesh3d.c )
-
-
-${MIDINT}/msort3d.c: ${IN}/msort3d.c.pamphlet
-	@ echo 28 ${MIDINT}/msort3d.c from ${IN}/msort3d.c.pamphlet
+${MIDINT}/msort3d.c: ${BOOK}
+	@ echo 28 ${MIDINT}/msort3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/msort3d.c.pamphlet >msort3d.c )
+	${TANGLE} -R"view3d/msort3d.c" ${BOOK} >msort3d.c )
 	
-${MIDOBJ}/msort3d.o: ${HEADERS} ${MIDINT}/msort3d.c
+${MIDOBJ}/msort3d.o: ${MIDINT}/msort3d.c
 	@ echo 29 making ${MIDOBJ}/msort3d.o from ${MIDINT}/msort3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/msort3d.c )
 
-${DOC}/msort3d.c.dvi: ${IN}/msort3d.c.pamphlet 
-	@echo 30 making ${DOC}/msort3d.c.dvi from ${IN}/msort3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/msort3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} msort3d.c ; \
-	rm -f ${DOC}/msort3d.c.pamphlet ; \
-	rm -f ${DOC}/msort3d.c.tex ; \
-	rm -f ${DOC}/msort3d.c )
-
-
-${MIDINT}/pot3d.c: ${IN}/pot3d.c.pamphlet
-	@ echo 31 ${MIDINT}/pot3d.c from ${IN}/pot3d.c.pamphlet
+${MIDINT}/pot3d.c: ${BOOK}
+	@ echo 31 ${MIDINT}/pot3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/pot3d.c.pamphlet >pot3d.c )
+	${TANGLE} -R"view3d/pot3d.c" ${BOOK} >pot3d.c )
 	
-${MIDOBJ}/pot3d.o: ${HEADERS} ${MIDINT}/pot3d.c
+${MIDOBJ}/pot3d.o: ${MIDINT}/pot3d.c
 	@ echo 32 making ${MIDOBJ}/pot3d.o from ${MIDINT}/pot3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/pot3d.c )
 
-${DOC}/pot3d.c.dvi: ${IN}/pot3d.c.pamphlet 
-	@echo 33 making ${DOC}/pot3d.c.dvi from ${IN}/pot3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/pot3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} pot3d.c ; \
-	rm -f ${DOC}/pot3d.c.pamphlet ; \
-	rm -f ${DOC}/pot3d.c.tex ; \
-	rm -f ${DOC}/pot3d.c )
-
-
-${MIDINT}/process3d.c: ${IN}/process3d.c.pamphlet
-	@ echo 34 ${MIDINT}/process3d.c from ${IN}/process3d.c.pamphlet
+${MIDINT}/process3d.c: ${BOOK}
+	@ echo 34 ${MIDINT}/process3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/process3d.c.pamphlet >process3d.c )
+	${TANGLE} -R"view3d/process3d.c" ${BOOK} >process3d.c )
 	
-${MIDOBJ}/process3d.o: ${HEADERS} ${IN}/cpanel.h ${IN}/process.h \
-         ${IN}/volume.h ${LINC}/mode.h ${MIDINT}/process3d.c
+${MIDOBJ}/process3d.o: ${MIDINT}/process3d.c
 	@ echo 35 making ${MIDOBJ}/process3d.o from ${MIDINT}/process3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/process3d.c )
 
-${DOC}/process3d.c.dvi: ${IN}/process3d.c.pamphlet 
-	@echo 36 making ${DOC}/process3d.c.dvi from ${IN}/process3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/process3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} process3d.c ; \
-	rm -f ${DOC}/process3d.c.pamphlet ; \
-	rm -f ${DOC}/process3d.c.tex ; \
-	rm -f ${DOC}/process3d.c )
-
-
-${MIDINT}/project3d.c: ${IN}/project3d.c.pamphlet
-	@ echo 37 ${MIDINT}/project3d.c from ${IN}/project3d.c.pamphlet
+${MIDINT}/project3d.c: ${BOOK}
+	@ echo 37 ${MIDINT}/project3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/project3d.c.pamphlet >project3d.c )
+	${TANGLE} -R"view3d/project3d.c" ${BOOK} >project3d.c )
 	
-${MIDOBJ}/project3d.o: ${HEADERS} ${IN}/draw.h ${MIDINT}/project3d.c
+${MIDOBJ}/project3d.o: ${MIDINT}/project3d.c
 	@ echo 38 making ${MIDOBJ}/project3d.o from ${MIDINT}/project3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/project3d.c )
 
-${DOC}/project3d.c.dvi: ${IN}/project3d.c.pamphlet 
-	@echo 39 making ${DOC}/project3d.c.dvi from ${IN}/project3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/project3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} project3d.c ; \
-	rm -f ${DOC}/project3d.c.pamphlet ; \
-	rm -f ${DOC}/project3d.c.tex ; \
-	rm -f ${DOC}/project3d.c )
-
-
-${MIDINT}/quitbut3d.c: ${IN}/quitbut3d.c.pamphlet
-	@ echo 40 ${MIDINT}/quitbut3d.c from ${IN}/quitbut3d.c.pamphlet
+${MIDINT}/quitbut3d.c: ${BOOK}
+	@ echo 40 ${MIDINT}/quitbut3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/quitbut3d.c.pamphlet >quitbut3d.c )
+	${TANGLE} -R"view3d/quitbut3d.c" ${BOOK} >quitbut3d.c )
 	
-${MIDOBJ}/quitbut3d.o: ${HEADERS} ${IN}/cpanel.h ${MIDINT}/quitbut3d.c
+${MIDOBJ}/quitbut3d.o: ${MIDINT}/quitbut3d.c
 	@ echo 41 making ${MIDOBJ}/quitbut3d.o from ${MIDINT}/quitbut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/quitbut3d.c )
 
-${DOC}/quitbut3d.c.dvi: ${IN}/quitbut3d.c.pamphlet 
-	@echo 42 making ${DOC}/quitbut3d.c.dvi from ${IN}/quitbut3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/quitbut3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} quitbut3d.c ; \
-	rm -f ${DOC}/quitbut3d.c.pamphlet ; \
-	rm -f ${DOC}/quitbut3d.c.tex ; \
-	rm -f ${DOC}/quitbut3d.c )
-
-
-${MIDINT}/quit3d.c: ${IN}/quit3d.c.pamphlet
-	@ echo 43 ${MIDINT}/quit3d.c from ${IN}/quit3d.c.pamphlet
+${MIDINT}/quit3d.c: ${BOOK}
+	@ echo 43 ${MIDINT}/quit3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/quit3d.c.pamphlet >quit3d.c )
+	${TANGLE} -R"view3d/quit3d.c" ${BOOK} >quit3d.c )
 	
-${MIDOBJ}/quit3d.o: ${HEADERS} ${IN}/cpanel.h ${MIDINT}/quit3d.c
+${MIDOBJ}/quit3d.o: ${MIDINT}/quit3d.c
 	@ echo 44 making ${MIDOBJ}/quit3d.o from ${MIDINT}/quit3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/quit3d.c )
 
-${DOC}/quit3d.c.dvi: ${IN}/quit3d.c.pamphlet 
-	@echo 45 making ${DOC}/quit3d.c.dvi from ${IN}/quit3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/quit3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} quit3d.c ; \
-	rm -f ${DOC}/quit3d.c.pamphlet ; \
-	rm -f ${DOC}/quit3d.c.tex ; \
-	rm -f ${DOC}/quit3d.c )
-
-
-${MIDINT}/save3d.c: ${IN}/save3d.c.pamphlet
-	@ echo 46 ${MIDINT}/save3d.c from ${IN}/save3d.c.pamphlet
+${MIDINT}/save3d.c: ${BOOK}
+	@ echo 46 ${MIDINT}/save3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/save3d.c.pamphlet >save3d.c )
+	${TANGLE} -R"view3d/save3d.c" ${BOOK} >save3d.c )
 	
-${MIDOBJ}/save3d.o: ${HEADERS} ${IN}/cpanel.h ${MIDINT}/save3d.c
+${MIDOBJ}/save3d.o: ${MIDINT}/save3d.c
 	@ echo 47 making ${MIDOBJ}/savebut3d.o from ${MIDINT}/savebut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/save3d.c )
 
-${DOC}/save3d.c.dvi: ${IN}/save3d.c.pamphlet 
-	@echo 48 making ${DOC}/save3d.c.dvi from ${IN}/save3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/save3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} save3d.c ; \
-	rm -f ${DOC}/save3d.c.pamphlet ; \
-	rm -f ${DOC}/save3d.c.tex ; \
-	rm -f ${DOC}/save3d.c )
-
-
-${MIDINT}/savebut3d.c: ${IN}/savebut3d.c.pamphlet
-	@ echo 49 ${MIDINT}/savebut3d.c from ${IN}/savebut3d.c.pamphlet
+${MIDINT}/savebut3d.c: ${BOOK}
+	@ echo 49 ${MIDINT}/savebut3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/savebut3d.c.pamphlet >savebut3d.c )
+	${TANGLE} -R"view3d/savebut3d.c" ${BOOK} >savebut3d.c )
 	
-${MIDOBJ}/savebut3d.o: ${HEADERS} ${IN}/cpanel.h ${MIDINT}/savebut3d.c
+${MIDOBJ}/savebut3d.o: ${MIDINT}/savebut3d.c
 	@ echo 50 making ${MIDOBJ}/savebutbut3d.o from ${MIDINT}/savebutbut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/savebut3d.c )
 
-${DOC}/savebut3d.c.dvi: ${IN}/savebut3d.c.pamphlet 
-	@echo 51 making ${DOC}/savebut3d.c.dvi from ${IN}/savebut3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/savebut3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} savebut3d.c ; \
-	rm -f ${DOC}/savebut3d.c.pamphlet ; \
-	rm -f ${DOC}/savebut3d.c.tex ; \
-	rm -f ${DOC}/savebut3d.c )
-
-
-${MIDINT}/smoothshade3d.c: ${IN}/smoothshade3d.c.pamphlet
-	@ echo 52 ${MIDINT}/smoothshade3d.c from ${IN}/smoothshade3d.c.pamphlet
+${MIDINT}/smoothshade3d.c: ${BOOK}
+	@ echo 52 ${MIDINT}/smoothshade3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/smoothshade3d.c.pamphlet >smoothshade3d.c )
+	${TANGLE} -R"view3d/smoothshade3d.c" ${BOOK} >smoothshade3d.c )
 	
-${MIDOBJ}/smoothshade3d.o: ${HEADERS} ${GINC}/spadcolors.h ${IN}/draw.h \
-           ${MIDINT}/smoothshade3d.c
-	@ echo 53 making ${MIDOBJ}/smoothShadebut3d.o from ${MIDINT}/smoothShadebut3d.c
+${MIDOBJ}/smoothshade3d.o: ${MIDINT}/smoothshade3d.c
+	@ echo 53 making ${MIDOBJ}/smoothShadebut3d.o \
+            from ${MIDINT}/smoothShadebut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/smoothshade3d.c )
 
-${DOC}/smoothshade3d.c.dvi: ${IN}/smoothshade3d.c.pamphlet 
-	@echo 54 making ${DOC}/smoothshade3d.c.dvi from ${IN}/smoothshade3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/smoothshade3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} smoothshade3d.c ; \
-	rm -f ${DOC}/smoothshade3d.c.pamphlet ; \
-	rm -f ${DOC}/smoothshade3d.c.tex ; \
-	rm -f ${DOC}/smoothshade3d.c )
-
-
-${MIDINT}/spadaction3d.c: ${IN}/spadaction3d.c.pamphlet
-	@ echo 55 ${MIDINT}/spadaction3d.c from ${IN}/spadaction3d.c.pamphlet
+${MIDINT}/spadaction3d.c: ${BOOK}
+	@ echo 55 ${MIDINT}/spadaction3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/spadaction3d.c.pamphlet >spadaction3d.c )
+	${TANGLE} -R"view3d/spadaction3d.c" ${BOOK} >spadaction3d.c )
 	
-${MIDOBJ}/spadaction3d.o: ${HEADERS} ${LINC}/mode.h ${MIDINT}/spadaction3d.c
-	@ echo 56 making ${MIDOBJ}/spadActionbut3d.o from ${MIDINT}/spadActionbut3d.c
+${MIDOBJ}/spadaction3d.o: ${MIDINT}/spadaction3d.c
+	@ echo 56 making ${MIDOBJ}/spadActionbut3d.o \
+            from ${MIDINT}/spadActionbut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/spadaction3d.c )
 
-${DOC}/spadaction3d.c.dvi: ${IN}/spadaction3d.c.pamphlet 
-	@echo 57 making ${DOC}/spadaction3d.c.dvi from ${IN}/spadaction3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/spadaction3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} spadaction3d.c ; \
-	rm -f ${DOC}/spadaction3d.c.pamphlet ; \
-	rm -f ${DOC}/spadaction3d.c.tex ; \
-	rm -f ${DOC}/spadaction3d.c )
-
-
-${MIDINT}/stuff3d.c: ${IN}/stuff3d.c.pamphlet
-	@ echo 58 ${MIDINT}/stuff3d.c from ${IN}/stuff3d.c.pamphlet
+${MIDINT}/stuff3d.c: ${BOOK}
+	@ echo 58 ${MIDINT}/stuff3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/stuff3d.c.pamphlet >stuff3d.c )
+	${TANGLE} -R"view3d/stuff3d.c" ${BOOK} >stuff3d.c )
 	
-${MIDOBJ}/stuff3d.o: ${HEADERS} ${MIDINT}/stuff3d.c
+${MIDOBJ}/stuff3d.o: ${MIDINT}/stuff3d.c
 	@ echo 59 making ${MIDOBJ}/stuffbut3d.o from ${MIDINT}/stuffbut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/stuff3d.c )
 
-${DOC}/stuff3d.c.dvi: ${IN}/stuff3d.c.pamphlet 
-	@echo 60 making ${DOC}/stuff3d.c.dvi from ${IN}/stuff3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/stuff3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} stuff3d.c ; \
-	rm -f ${DOC}/stuff3d.c.pamphlet ; \
-	rm -f ${DOC}/stuff3d.c.tex ; \
-	rm -f ${DOC}/stuff3d.c )
-
-
-${MIDINT}/surface3d.c: ${IN}/surface3d.c.pamphlet
-	@ echo 61 ${MIDINT}/surface3d.c from ${IN}/surface3d.c.pamphlet
+${MIDINT}/surface3d.c: ${BOOK}
+	@ echo 61 ${MIDINT}/surface3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/surface3d.c.pamphlet >surface3d.c )
+	${TANGLE} -R"view3d/surface3d.c" ${BOOK} >surface3d.c )
 	
-${MIDOBJ}/surface3d.o: ${HEADERS} ${IN}/draw.h ${MIDINT}/surface3d.c
+${MIDOBJ}/surface3d.o: ${MIDINT}/surface3d.c
 	@ echo 62 making ${MIDOBJ}/surfacebut3d.o from ${MIDINT}/surfacebut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/surface3d.c )
 
-${DOC}/surface3d.c.dvi: ${IN}/surface3d.c.pamphlet 
-	@echo 63 making ${DOC}/surface3d.c.dvi from ${IN}/surface3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/surface3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} surface3d.c ; \
-	rm -f ${DOC}/surface3d.c.pamphlet ; \
-	rm -f ${DOC}/surface3d.c.tex ; \
-	rm -f ${DOC}/surface3d.c )
-
-
-${MIDINT}/transform3d.c: ${IN}/transform3d.c.pamphlet
-	@ echo 64 ${MIDINT}/transform3d.c from ${IN}/transform3d.c.pamphlet
+${MIDINT}/transform3d.c: ${BOOK}
+	@ echo 64 ${MIDINT}/transform3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/transform3d.c.pamphlet >transform3d.c )
+	${TANGLE} -R"view3d/transform3d.c" ${BOOK} >transform3d.c )
 	
-${MIDOBJ}/transform3d.o: ${HEADERS} ${MIDINT}/transform3d.c
-	@ echo 65 making ${MIDOBJ}/transformbut3d.o from ${MIDINT}/transformbut3d.c
+${MIDOBJ}/transform3d.o: ${MIDINT}/transform3d.c
+	@ echo 65 making ${MIDOBJ}/transformbut3d.o \
+             from ${MIDINT}/transformbut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/transform3d.c )
 
-${DOC}/transform3d.c.dvi: ${IN}/transform3d.c.pamphlet 
-	@echo 66 making ${DOC}/transform3d.c.dvi from ${IN}/transform3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/transform3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} transform3d.c ; \
-	rm -f ${DOC}/transform3d.c.pamphlet ; \
-	rm -f ${DOC}/transform3d.c.tex ; \
-	rm -f ${DOC}/transform3d.c )
-
-
-${MIDINT}/viewport3d.c: ${IN}/viewport3d.c.pamphlet
-	@ echo 67 ${MIDINT}/viewport3d.c from ${IN}/viewport3d.c.pamphlet
+${MIDINT}/viewport3d.c: ${BOOK}
+	@ echo 67 ${MIDINT}/viewport3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/viewport3d.c.pamphlet >viewport3d.c )
+	${TANGLE} -R"view3d/viewport3d.c" ${BOOK} >viewport3d.c )
 	
-${MIDOBJ}/viewport3d.o: ${HEADERS} ${IN}/draw.h ${IN}/static.h ${IN}/volume.h \
-	${BIT}/spadbitmap.bitmap  ${BIT}/spadmask.mask ${MIDINT}/viewport3d.c
-	@ echo 68 making ${MIDOBJ}/viewportbut3d.o from ${MIDINT}/viewportbut3d.c
+${MIDOBJ}/viewport3d.o: ${MIDINT}/viewport3d.c
+	@ echo 68 making ${MIDOBJ}/viewportbut3d.o \
+              from ${MIDINT}/viewportbut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/viewport3d.c )
 
-${DOC}/viewport3d.c.dvi: ${IN}/viewport3d.c.pamphlet 
-	@echo 69 making ${DOC}/viewport3d.c.dvi from ${IN}/viewport3d.c.pamphlet 
-	(cd ${DOC} ; \
-	cp ${IN}/viewport3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} viewport3d.c ; \
-	rm -f ${DOC}/viewport3d.c.pamphlet ; \
-	rm -f ${DOC}/viewport3d.c.tex ; \
-	rm -f ${DOC}/viewport3d.c )
-
-
-${MIDINT}/volume3d.c: ${IN}/volume3d.c.pamphlet
-	@ echo 70 ${MIDINT}/volume3d.c from ${IN}/volume3d.c.pamphlet
+${MIDINT}/volume3d.c: ${BOOK}
+	@ echo 70 ${MIDINT}/volume3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/volume3d.c.pamphlet >volume3d.c )
+	${TANGLE} -R"view3d/volume3d.c" ${BOOK} >volume3d.c )
 	
-${MIDOBJ}/volume3d.o: ${HEADERS} ${IN}/cpanel.h ${IN}/process.h \
-        ${IN}/volume.h ${BIT}/volume.bitmap ${BIT}/volume.mask \
-        ${MIDINT}/volume3d.c
+${MIDOBJ}/volume3d.o: ${MIDINT}/volume3d.c
 	@ echo 71 making ${MIDOBJ}/volumebut3d.o from ${MIDINT}/volumebut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/volume3d.c )
 
-${DOC}/volume3d.c.dvi: ${IN}/volume3d.c.pamphlet 
-	@echo 72 making ${DOC}/volume3d.c.dvi from ${IN}/volume3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/volume3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} volume3d.c ; \
-	rm -f ${DOC}/volume3d.c.pamphlet ; \
-	rm -f ${DOC}/volume3d.c.tex ; \
-	rm -f ${DOC}/volume3d.c )
-
-
-${MIDINT}/write3d.c: ${IN}/write3d.c.pamphlet
-	@ echo 73 ${MIDINT}/write3d.c from ${IN}/write3d.c.pamphlet
-	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/write3d.c.pamphlet >write3d.c )
+${MIDINT}/write3d.c: ${BOOK}
+	@ echo 73 ${MIDINT}/write3d.c from ${BOOK}
+	@( cd ${MIDINT} ; ${TANGLE} -R"view3d/write3d.c" ${BOOK} >write3d.c )
 	
-${MIDOBJ}/write3d.o: ${HEADERS} ${LINC}/write.h ${MIDINT}/write3d.c
+${MIDOBJ}/write3d.o: ${MIDINT}/write3d.c
 	@ echo 74 making ${MIDOBJ}/writebut3d.o from ${MIDINT}/writebut3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/write3d.c )
 
-${DOC}/write3d.c.dvi: ${IN}/write3d.c.pamphlet 
-	@echo 75 making ${DOC}/write3d.c.dvi from ${IN}/write3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/write3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} write3d.c ; \
-	rm -f ${DOC}/write3d.c.pamphlet ; \
-	rm -f ${DOC}/write3d.c.tex ; \
-	rm -f ${DOC}/write3d.c )
-
-
 ${OUT}/view3d: ${OBJS} ${GDRAW_OBJS} ${LIB}/bsdsignal.o ${LIB}/util.o \
                ${LIB}/xshade.o ${LIB}/halloc.o ${LIB}/pixmap.o \
                ${LIB}/spadcolors.o ${LIB}/xspadfill.o ${LIB}/xdither.o 
@@ -15898,20 +15657,13 @@ ${OUT}/view3d: ${OBJS} ${GDRAW_OBJS} ${LIB}/bsdsignal.o ${LIB}/util.o \
 	${LIB}/pixmap.o ${LIB}/spadcolors.o ${LIB}/xspadfill.o \
 	${LIB}/xdither.o -o ${OUT}/view3d $(LDFLAGS) -lXpm
 
-
-clean: 
-	@ echo 79 cleaning ${IN}/view3d
-
-document: 
-	@ echo 80 documenting ${IN}/view3d
-
 @
-\section{mesh3d.c.pamphlet}
-<<view3d/mesh3d.c.pamphlet>>=
+\section{mesh3d.c}
+<<view3d/mesh3d.c>>=
 #define _MESH3D_C
 #include <math.h>
 
-#include "header.h"
+<<view3d/header.h>>
 #include "all-3d.h1"
 
 /***************************************************************************
@@ -15992,8 +15744,8 @@ dotProduct(float * a,float *b,int size)
 } /* dotProduct() */
 
 @
-\section{msort3d.c.pamphlet}
-<<view3d/msort3d.c.pamphlet>>=
+\section{msort3d.c}
+<<view3d/msort3d.c>>=
 #define _MSORT3D_C
 
 /*****************************************************
@@ -16040,7 +15792,7 @@ dotProduct(float * a,float *b,int size)
  *****************************************************/
 
 
-#include "header.h"
+<<view3d/header.h>>
 
 #include "all-3d.h1"
 
@@ -16124,11 +15876,11 @@ msort(linkThing *p,int min,int max,int (*compare)(linkThing *, linkThing *))
 
 
 @
-\section{pot3d.c.pamphlet}
-<<view3d/pot3d.c.pamphlet>>=
+\section{pot3d.c}
+<<view3d/pot3d.c>>=
 #define _POT3D_C
 
-#include "header.h"
+<<view3d/header.h>>
 #include "all-3d.h1"
 
 /****************************/
@@ -16178,8 +15930,8 @@ getLinearPotValue(short eX,short eY,short xH,short yH)
 
 
 @
-\section{process3d.c.pamphlet}
-<<view3d/process3d.c.pamphlet>>=
+\section{process3d.c}
+<<view3d/process3d.c>>=
 #define _PROCESS3D_C
 
 #include <string.h>
@@ -16190,12 +15942,12 @@ getLinearPotValue(short eX,short eY,short xH,short yH)
 #include <sys/time.h>
 
 
-#include "header.h"
-#include "cpanel.h"
-#include "volume.h"
-#include "mode.h"
-#include "process.h"
-#include "draw.h"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
+<<view3d/volume.h>>
+<<include/mode.h>>
+<<view3d/process.h>>
+<<view3d/draw.h>>
 #include "com.h"
 
 
@@ -17750,14 +17502,14 @@ processEvents(void)
 #define clipPlaneMax 250.0
 #define clipPlaneIncrement 10.0
 @
-\section{project3d.c.pamphlet}
-<<view3d/project3d.c.pamphlet>>=
+\section{project3d.c}
+<<view3d/project3d.c>>=
 #define _PROJECT3D_C
 #include <string.h>
 
-#include "header.h"
-#include "draw.h"
-#include "mode.h"   /* for #define components */
+<<view3d/header.h>>
+<<view3d/draw.h>>
+<<include/mode.h>>
 
 #include "all-3d.h1"
 
@@ -18109,16 +17861,16 @@ projectStuff(float x,float y,float z,int *px,int *py,float *Pz)
   viewScale = temps;
 }
 @
-\section{quit3d.c.pamphlet}
-<<view3d/quit3d.c.pamphlet>>=
+\section{quit3d.c}
+<<view3d/quit3d.c>>=
 #define _QUIT3D_C
 
 #include <string.h>
-#include "header.h"
-#include "cpanel.h"
-#include "volume.h"
-#include "../include/purty/volume.bitmap"
-#include "../include/purty/volume.mask"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
+<<view3d/volume.h>>
+<<include/purty/volume.bitmap>>
+<<include/purty/volume.mask>>
 
 #include "util.h1"
 #include "gfun.h1"
@@ -18240,12 +17992,12 @@ drawQuitPanel(void)
 
 }  /* drawQuitPanel */
 @
-\section{quitbut3d.c.pamphlet}
-<<view3d/quitbut3d.c.pamphlet>>=
+\section{quitbut3d.c}
+<<view3d/quitbut3d.c>>=
 #define _QUITBUT3D_C
 
-#include "header.h"
-#include "cpanel.h"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
 
 #include "all-3d.h1"
 
@@ -18290,17 +18042,17 @@ initQuitButtons (buttonStruct *quitButtons)
 
 
 @
-\section{save3d.c.pamphlet}
-<<view3d/save3d.c.pamphlet>>=
+\section{save3d.c}
+<<view3d/save3d.c>>=
 #define _SAVE3D_C
 
 #include <stdio.h>
 #include <string.h>
-#include "header.h"
-#include "cpanel.h"
-#include "volume.h"
-#include "../include/purty/volume.bitmap"
-#include "../include/purty/volume.mask"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
+<<view3d/volume.h>>
+<<include/purty/volume.bitmap>>
+<<include/purty/volume.mask>>
 
 #include "gfun.h1"
 #include "xspadfill.h1"
@@ -18416,12 +18168,12 @@ drawSavePanel(void)
 
 }  /* drawSavePanel */
 @
-\section{savebut3d.c.pamphlet}
-<<view3d/savebut3d.c.pamphlet>>=
+\section{savebut3d.c}
+<<view3d/savebut3d.c>>=
 #define _SAVEBUT3D_C
 
-#include "header.h"
-#include "cpanel.h"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
 
 #include "all-3d.h1"
 int 
@@ -18476,17 +18228,17 @@ initSaveButtons (buttonStruct *saveButtons)
 
 
 @
-\section{smoothshade3d.c.pamphlet}
-<<view3d/smoothshade3d.c.pamphlet>>=
+\section{smoothshade3d.c}
+<<view3d/smoothshade3d.c>>=
 #define _SMOOTHSHADE_C
 
 #include <string.h>
 #include <math.h>
 #include <stdlib.h>
 
-#include "header.h"
-#include "draw.h"
-#include "volume.h"
+<<view3d/header.h>>
+<<view3d/draw.h>>
+<<view3d/volume.h>>
 #include "mode.h"   /* for #define components */
 
 #include "spadcolors.h1"
@@ -18497,11 +18249,6 @@ initSaveButtons (buttonStruct *saveButtons)
 
 #define SAFE_VALUE 892347
 
-
-
-
-
-
 char 
 get_cBuffer_axes(int ix)
 {
@@ -19469,27 +19216,18 @@ drawPhong(int dFlag)
 
 } /* drawPhong */
 
-
-
-
-
-
-
-
-
-
 @
-\section{spadaction3d.c.pamphlet}
-<<view3d/spadaction3d.c.pamphlet>>=
+\section{spadaction3d.c}
+<<view3d/spadaction3d.c>>=
 #define _SPADACTION3D_C
 
 #include <unistd.h>
 #include <stdio.h>
 #include <string.h>
 
-#include "header.h"
-#include "process.h"
-#include "draw.h"
+<<view3d/header.h>>
+<<view3d/process.h>>
+<<view3d/draw.h>>
 
 #include "util.h1"
 #include "all-3d.h1"
@@ -19872,11 +19610,11 @@ static float labels[basicScreen][7] = {
   {0,11,103,0,9,102,labelColor},
   {0,9,102,0,9,105,labelColor}};  
 @
-\section{stuff3d.c.pamphlet}
-<<view3d/stuff3d.c.pamphlet>>=
+\section{stuff3d.c}
+<<view3d/stuff3d.c>>=
 #define _STUFF3D_C
 
-#include "header.h"
+<<view3d/header.h>>
 
 #include  <stdlib.h>
 #include  <unistd.h>
@@ -19885,7 +19623,7 @@ static float labels[basicScreen][7] = {
 
 
 #include "gfun.h1"
-#include "spadcolors.h1"
+/*#include "spadcolors.h"*/
 #include "util.h1"
 
 #include "all-3d.h1"
@@ -19996,17 +19734,17 @@ goodbye(int sig)
 
 
 @
-\section{surface3d.c.pamphlet}
-<<view3d/surface3d.c.pamphlet>>=
+\section{surface3d.c}
+<<view3d/surface3d.c>>=
 #define _SURFACE3D_C
 
 #include <string.h>
 #include <math.h>
 #include <stdlib.h>
 
-#include "header.h"
-#include "draw.h"
-#include "mode.h"   /* for #define components */
+<<view3d/header.h>>
+<<view3d/draw.h>>
+<<include/mode.h>>
 #include "com.h"
 
 #include "xspadfill.h1"
@@ -20735,8 +20473,8 @@ equal (float x,float y)
 }
 
 @
-\section{testcol.c.pamphlet}
-<<view3d/testcol.c.pamphlet>>=
+\section{testcol.c}
+<<view3d/testcol.c>>=
 #define _MAIN3D_C
 #include <string.h>
 #include <stdio.h>
@@ -20745,9 +20483,9 @@ equal (float x,float y)
 #include <signal.h>
 #include <math.h>
 
-#include "header.h"
-#include "cpanel.h"
-#include "process.h"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
+<<view3d/process.h>>
 #include "bsdsignal.h"
 
 #include "bsdsignal.h1"
@@ -20757,8 +20495,8 @@ equal (float x,float y)
 #include "xshade.h1"
 #include "all-3d.h1"
 
-#include "spadbitmap.bitmap"
-#include "spadmask.mask"
+<<include/purty/spadbitmap.bitmap>>
+<<include/purty/spadmask.mask>>
 
 viewPoints      *viewport;
 GCptr           GChead=NULL;    /* ptr to head of ps GC linked list */
@@ -21300,11 +21038,11 @@ main(void)
 
 
 @
-\section{transform3d.c.pamphlet}
-<<view3d/transform3d.c.pamphlet>>=
+\section{transform3d.c}
+<<view3d/transform3d.c>>=
 #define _TRANSFORM3D_C
 
-#include "header.h"
+<<view3d/header.h>>
 
 #include "all-3d.h1"
 
@@ -21394,8 +21132,8 @@ TRANSLATE(float x,float y,float z,float xxT[4][4])
   xxT[3][0] = x;   xxT[3][1] = y;   xxT[3][2] = z;    xxT[3][3] = 1.0;
 }
 @
-\section{viewport3d.c.pamphlet}
-<<view3d/viewport3d.c.pamphlet>>=
+\section{viewport3d.c}
+<<view3d/viewport3d.c>>=
 #define _VIEWPORT3D_C
 
 #include <math.h>
@@ -21404,10 +21142,10 @@ TRANSLATE(float x,float y,float z,float xxT[4][4])
 #include <unistd.h>
 #include <stdlib.h>
 
-#include "spadbitmap.bitmap"
-#include "spadmask.mask"
+<<include/purty/spadbitmap.bitmap>>
+<<include/purty/spadmask.mask>>
 
-#include "header.h"
+<<view3d/header.h>>
     /*** definition for the axes and labels - this is the minimun that will be
 	 drawn on the window - thus allowing the user some idea of the
 	 orientation of the coordinate axes when rotating, etc. The
@@ -21415,10 +21153,10 @@ TRANSLATE(float x,float y,float z,float xxT[4][4])
 	 The mesh should be scaled to the range of [-100..100] in all
 	 directions.  axisRange defines the range...change the stuff below
 	 if that has changed. ***/
-#include "static.h"
-#include "draw.h"
-#include "volume.h"
-#include "mode.h"
+<<view3d/static.h>>
+<<view3d/draw.h>>
+<<view3d/volume.h>>
+<<include/mode.h>>
 
 #include "util.h1"
 #include "gfun.h1"
@@ -22255,19 +21993,19 @@ keepDrawingViewport(void)
 
 }
 @
-\section{volume3d.c.pamphlet}
-<<view3d/volume3d.c.pamphlet>>=
+\section{volume3d.c}
+<<view3d/volume3d.c>>=
 #define _VOLUME3D_C
 
 #include <math.h>
 #include <string.h>
 
-#include "header.h"
-#include "cpanel.h"
-#include "process.h"
-#include "volume.h"
-#include "../include/purty/volume.bitmap"
-#include "../include/purty/volume.mask"
+<<view3d/header.h>>
+<<view3d/cpanel.h>>
+<<view3d/process.h>>
+<<view3d/volume.h>>
+<<include/purty/volume.bitmap>>
+<<include/purty/volume.mask>>
 
 
 
@@ -23199,16 +22937,16 @@ drawVolumePanel (void)
 #define clipZButBotEndY ((BB-AA+EE+FF)/2)
 #endif
 @
-\section{write3d.c.pamphlet}
-<<view3d/write3d.c.pamphlet>>=
+\section{write3d.c}
+<<view3d/write3d.c>>=
 #define _WRITE3D_C
 
 #include <stdio.h>
 #include <stdlib.h>
 
-#include "header.h"
-#include "write.h"
-#include "mode.h"
+<<view3d/header.h>>
+<<include/write.h>>
+<<include/mode.h>>
 
 
 #include "pixmap.h1"
@@ -23774,7 +23512,7 @@ extern	char		*envAXIOM;     /* environment variable AXIOM or DEVE */
 #include <string.h>
 
 #include "gdraws0.h"
-#include "g.h"
+<<include/g.h>>
 #include "hash.h"
 
 #include "hash.h1"
diff --git a/changelog b/changelog
index 1704d83..a5715bf 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080604 tpd src/graph/Makefile make view3d from bookvol8
+20080604 tpd books/bookvol8 make view3d
 20080602 tpd src/graph/view2d removed.
 20080602 tpd src/graph/view2d/write2d.c removed, replace by bookvol8
 20080602 tpd src/graph/view2d/viewport2d.c removed, replace by bookvol8
diff --git a/src/graph/Makefile.pamphlet b/src/graph/Makefile.pamphlet
index 16267c2..1daad5b 100644
--- a/src/graph/Makefile.pamphlet
+++ b/src/graph/Makefile.pamphlet
@@ -304,19 +304,21 @@ gdrawsclean: ${SRC}/graph/gdraws/Makefile
 <<view3ddir>>=
 view3ddir: ${SRC}/graph/view3d/Makefile
 	@echo 9 making ${SRC}/graph/view3d
-	@mkdir -p ${INT}/graph/view3d
 	@mkdir -p ${OBJ}/${SYS}/graph/view3d
 	@mkdir -p ${OBJ}/${SYS}/lib
 	@mkdir -p ${OBJ}/${SYS}/graph/gdraws
 	@mkdir -p ${MNT}/${SYS}/lib
 	@mkdir -p ${MNT}/${SYS}/doc/src/graph
-	@(cd view3d ; ${ENV} ${MAKE} )
+	@(cd ${INT}/graph/view3d ; ${ENV} ${MAKE} )
+
+${SRC}/graph/view3d/Makefile: ${SPD}/books/bookvol8.pamphlet
+	@echo 10 making ${SRC}/graph/view3d/Makefile from \
+                ${SPD}/books/bookvol8.pamphlet
+	@mkdir -p ${INT}/graph/view3d
+	@( cd ${INT}/graph/view3d ; \
+	  ${TANGLE} -t8 -R"view3d/Makefile" \
+                   ${SPD}/books/bookvol8.pamphlet >Makefile )
 
-${SRC}/graph/view3d/Makefile: ${SRC}/graph/view3d/Makefile.pamphlet
-	@echo 10 making ${SRC}/graph/view3d/Makefile from ${SRC}/graph/view3d/Makefile.pamphlet
-	@( cd view3d ; \
-           ${DOCUMENT} ${NOISE} Makefile ; \
-	   cp Makefile.dvi ${MNT}/${SYS}/doc/src/graph.view3d.Makefile.dvi )
 
 view3ddocument: ${SRC}/graph/view3d/Makefile
 	@echo 11 documenting ${SRC}/graph/view3d
